//Adapted from Meghan Desai's Transmit/Receive Code

//definitions
#define MAX_LENGTH_RX 128
#define MAX_LENGTH_TX_PKT 128 
#define MAX_LENGTH_TX_DATA 64
#define synch_char 0b10101010  //170
#define start_char 0b11001010  //202
#define end_char 0b11010100    //212



//function headers
void txrx_init(int tx, int rx, int baud_num, char led);
char decodeOne(char msbyte);
char decode(char msbyte, char lsbyte); 
void rx_reset(char max_rx);
char rxdone(void);
void init_getrx(void);
char get_next_rx_data(void);
char rx_empty(void);
void encode(void);
void tx_me(char tx_data[], int length, int id);
char txdone(void);
